using APT.BaseData.Domain.Entities.FM;
using APT.BaseData.Domain.Enums.PF;
using APT.Infrastructure.Core;
using APT.MS.Domain.Entities.TI;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.AE
{
    /// <summary>
    /// 导航属性：人员伤亡信息
    /// </summary>
    [Description("导航属性： 人员伤亡信息")]
    public class T_AE_ACCIDENT_EVENT_SURVEY_CASUALTIES : MesEntityBase
    {
        /// <summary>
        /// 事故事件调查结果填报表ID
        /// </summary>
        [Description("事故事件调查结果填报表")]
        [DataFieldForeignKey("Nav_SurveyResult", "Nav_ListCasualties")]
        public Guid RESULT_ID { get; set; }

        /// <summary>
        /// 导航属性：事故事件调查结果填报表
        /// </summary>
        [Description("导航属性：事故事件调查结果填报表")]
        public virtual T_AE_ACCIDENT_EVENT_SURVEY_RESULT Nav_SurveyResult { get; set; }

        /// <summary>
        /// 姓名ID
        /// </summary>
        [Description("姓名")]
        [DataFieldForeignKey("Nav_User")]
        [FormFieldEdit]
        public Guid? USER_ID { get; set; }

        /// <summary>
        /// 导航属性：姓名
        /// </summary>
        [Description("导航属性：姓名")]
        public virtual T_FM_USER Nav_User { get; set; }

        /// <summary>
        /// 受伤时间
        /// </summary>
        [Description("受伤时间")]
        [FormFieldEdit]
        public DateTime? INJURED_TIME { get; set; }

        /// <summary>
        /// 受伤部位
        /// </summary>
        [Description("受伤部位")]
        [FormFieldEdit]
        public string INJURED_AREA { get; set; }

        /// <summary>
        /// 工伤理赔信息
        /// </summary>
        [Description("工伤理赔信息")]
        [DataFieldIngore]
        public virtual T_TI_INSURANCE_CLAIM_RECORD Nav_ClaimRecord { get; set; }
    }
}
